#!/bin/sh

name="grub"
title="GNU GRUB"
package="grub"
version="0.93"
build="2"
noarch="n"
build_info="Standard build."

info="GRand Unified Bootloader."
desc="GNU GRUB is a Multiboot loader. It was derived from
GRUB. It is an attempt to produce a bootloader for
IBM PC-compatible machines that has both the
capability to be friendly to beginning or otherwise
non-technically interested users and the flexibility
to help experts in diverse environments. It is
compatible with FreeBSD, NetBSD, OpenBSD and Linux.
It supports Windows 9x/NT/2000/XP and OS/2 via
chain-loaders. It has a menu interface and a
command-line interface."
category="system/bootloader"
environment="console/text"
contact="$name@packages.packware.one.pl"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,BUGS,COPYING,ChangeLog,INSTALL,MAINTENANCE,NEWS,README,THANKS,TODO,netboot/README.netboot"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://alpha.gnu.org/gnu/grub/$name-$version.tar.gz

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

mkdir -p $pkg_main/boot/grub
( cd $pkg_main/boot/grub
for i in $pkg_main/usr/share/grub/i386-pc/*; do
    ln -s /usr/share/grub/i386-pc/`basename $i` .
done )

copy $src_pkg/grub.conf.new $pkg_main/etc
change_mod main etc/grub.conf.new 600
( cd $pkg_main/boot/grub
ln -s /etc/grub.conf menu.lst )

make_docs

make_package main

clean_up

# $Log: grub.builder,v $
# Revision 1.6  2003/06/23 17:27:48  swiergot
# - Build 2.
#
# Revision 1.5  2003/06/23 17:17:40  swiergot
# - Create boot/grub directory.
# - Make symlinks from usr/share/grub/i386-pc/* to boot/grub.
# - Added sample configuration file.
# - Link configuration file to boot/grub/menu.lst.
#
# Revision 1.4  2003/06/23 13:42:22  swiergot
# - Build 1.
#
# Revision 1.3  2003/06/23 13:35:03  swiergot
# - Version 0.93.
# - Rewritten title, desc and info.
# - Fixed category and environment.
# - Updated docs_source.
#
